#!/bin/bash

source "$(dirname "$0")/common.sh"

product_code_list=("nomo")

for product_code in "${product_code_list[@]}"; do
    echo "${MAGENTA}正在同步 ${product_code} 相关分支...${RESET}"

    execute_command "git checkout ${product_code}-prod" "切换至 ${product_code}-prod 分支失败"
    execute_command "git pull" "拉取 ${product_code}-prod 分支失败"

    execute_command "git checkout ${product_code}-test" "切换至 ${product_code}-test 分支失败"
    execute_command "git pull" "拉取 ${product_code}-test 分支失败"

    execute_command "git checkout main" "切换至 main 分支失败"
    execute_command "git pull" "拉取 main 分支失败"

    execute_command "git checkout nomo-dev" "切换至 nomo-dev 分支失败"
    execute_command "git pull" "拉取 nomo-dev 分支失败"
done

execute_command "git checkout xiaom" "切换至 xiaom 分支失败"
